/*
  $Id: TagSplitter.java,v 1.3 1999/03/17 21:41:36 jake Exp $
  Revision:   $Revision: 1.3 $
  Updated:    $Date: 1999/03/17 21:41:36 $
  Updated by: $Author: jake $
  Copyright 1999 Northeast Parallel Architectures Center, Syracuse University
*/

import java.util.*;
import java.lang.*;

class TagSplitter {

    private String source;
    private int number;
    private String Tag[];
    private String TagType[];
    private String Content[];

    TagSplitter(String source) {
	this.source = source;
	StringTokenizer tokenizer = new StringTokenizer(source, "<");
	this.number = tokenizer.countTokens();
	Tag = new String[number];
	TagType = new String[number];
	Content = new String[number];

	for (int i=0; i < number; i++) {
	    String aToken = tokenizer.nextToken();
	    StringTokenizer aTokenizer = new StringTokenizer(aToken, ">");
	    Tag[i] = aTokenizer.nextToken();

	    int end = Tag[i].indexOf(32);
            if (end > 0) {
                TagType[i] = Tag[i].substring(0, end);
            }
            else {
                TagType[i] = Tag[i];
            }

	    if (aTokenizer.hasMoreTokens()) {
		Content[i] = aTokenizer.nextToken();
	    }
	    else {
		Content[i] = "";
	    }
	}

    }

    int GetCount() {
	return number;
    }

    String GetItem(int index) {
	if (index < number) {
	    return Content[index];
	}
	else {
	    return "";
	}
    }

    String GetItemOfType(String type, int index) {
	int n = 0;

	for (int i=0; i < number; i++) {
	    if (type.compareTo(TagType[i]) == 0) {
		if (index == n) {
		    return Content[i];
		}
		else {
		    n++;
		}
	    }
	}
	return "";
    }
}
